Package org.codehaus.janino

# Class CodeContext.Offset

java.lang.Object
org.codehaus.janino.CodeContext.Offset

Direct Known Subclasses:
  `CodeContext.BasicBlock`, `CodeContext.Inserter`, `CodeContext.LineNumberOffset`

Enclosing class:
  `CodeContext`

public class CodeContext.Offset extends Object
A class that represents an offset within a "Code" attribute.

The concept of an "offset" is that if one writes into the middle of a "Code" attribute, all offsets behind the insertion point are automatically shifted.

## Constructor Summary

Constructors
Constructor
Description
`Offset()`

## Method Summary

Modifier and Type
Method
Description
`final CodeContext`
`getCodeContext()`
`org.codehaus.janino.StackMap`
`getStackMap()`
`void`
`set()`
Sets this "Offset" to the offset of the current inserter; inserts this "Offset" before the current inserter.
`void`
`setBasicBlock()`
Set this offset, and mark it as the the beginning of a "basic block".
`void`
`setOffset()`
`void`
`setStackMap(org.codehaus.janino.StackMap stackMap)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Offset

public Offset()

## Method Details

### set

public void set()
Sets this "Offset" to the offset of the current inserter; inserts this "Offset" before the current inserter.

### setBasicBlock

public void setBasicBlock()
Set this offset, and mark it as the the beginning of a "basic block".

### setOffset

public void setOffset()

### getStackMap

public org.codehaus.janino.StackMap getStackMap()

### setStackMap

public void setStackMap(org.codehaus.janino.StackMap stackMap)

### getCodeContext

public final CodeContext getCodeContext()

Returns:
  The `CodeContext` that this `CodeContext.Offset` belongs to

### toString

public String toString()

Overrides:
  `toString` in class `Object`